Safari 5 - Netflick

Discussion in 'Mac Apps and Mac App Store' started by gb1631, Jun 8, 2010.

  1. gb1631 macrumors regular

    Joined:
    Dec 3, 2009
    Location:
    PNW Puget Sound
    #1
    After downloading Safari 5 yesterday I attempted to play a movie from Netflick streaming video. The Netflick application said my browser was not compatible with their movie viewing. The last version had no problem with using this feature.

    I used my Firefox browser with no problem.
     
  2. miles01110 macrumors Core

    miles01110

    Joined:
    Jul 24, 2006
    Location:
    The Ivory Tower (I'm not coming down)
    #2
    Good for you. Keep using Safari 4 or FF 3.6 until Safari 5 is supported.
     
  3. quietstormSD macrumors 6502a

    quietstormSD

    Joined:
    Mar 2, 2010
    Location:
    San Diego, CA
    #3
    Try going to the Adobe site and download the latest version of flash. That worked for me.
     
  4. gb1631 thread starter macrumors regular

    Joined:
    Dec 3, 2009
    Location:
    PNW Puget Sound
    #4
    A short time ago I tried Netflick again and this time it worked. So, I guess Netflick/Apple fixed it!
     

Share This Page